Bug 459227 - Problems with wmode and flash videos
Problems with wmode and flash videos
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-15 03:55 EDT by Julian Sikorski
Modified: 2008-10-16 14:16 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.1.2-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 14:16:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian Sikorski 2008-08-15 03:55:38 EDT
Description of problem:
Recently I was testing the latest labs.adobe.com flash plugin 10.0.0.569. I was pointed by abobe folks that to have better experience I should be using firefox trunk, and so I did. It turns out that there are some problems with the wrapper when wmode is coupled with flash video - the embedded video is not displayed. Using the i686 build of firefox solves the problem. The following message is displayed in the console with x86_64 build and the wrapper:

*** NSPlugin Viewer  *** ERROR: could not reconstruct XVisual from visualID


Version-Release number of selected component (if applicable):
flash-plugin-10.0.0.569-release.i386
nspluginwrapper-1.1.0-5.fc9.x86_64
nspluginwrapper-1.1.0-5.fc9.i386

How reproducible:
always

Steps to Reproduce:
1. Install the packages listed above
2. Get a firefox nightly build (I was using 20080814)
3. Go to e.g. http://politbiuro.pl/politbiuro/1,85402,5580837,Prezydent__Nie_boje_sie__Pracownik_BOR_u__To_glupota.html
  
Actual results:
White spaces are displayed where two video clips should be embedded

Expected results:
Videos are shown properly
Comment 1 Martin Stransky 2008-09-17 04:07:51 EDT
It's going to be fixed in the upcoming firefox update (3.0.2).
Comment 2 Julian Sikorski 2008-09-17 04:47:52 EDT
That's with 3.0.2 build 6. Error still present. Looks like nspluginwrapper issue to me since without the wrapper videos display fine. (Sorry it's ASSIGNED, I can't switch it back to NEW).

*** NSPlugin Viewer  *** ERROR: could not reconstruct XVisual from visualID
*** NSPlugin Viewer  *** ERROR: could not reconstruct XVisual from visualID
*** NSPlugin Viewer  *** ERROR: NPN_InvalidateRect() invoke: Message type invalid
*** NSPlugin Wrapper *** ERROR: NPP_WriteReady() invoke: Message type invalid
*** NSPlugin Wrapper *** ERROR: NPP_Write() invoke: Message type invalid
*** NSPlugin Wrapper *** ERROR: NPP_DestroyStream() invoke: Message type invalid

(firefox-bin:5506): GLib-CRITICAL **: g_hash_table_remove_internal: assertion `hash_table != NULL' failed
*** NSPlugin Wrapper *** ERROR: NPP_URLNotify() invoke: Połączenie zerwane przez drugą stronę
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_GetValue() invoke: Connection closed
*** NSPlugin Wrapper *** WARNING: unhandled variable 11 in NPP_GetValue()
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_GetValue() invoke: Connection closed
*** NSPlugin Wrapper *** WARNING: unhandled variable 11 in NPP_GetValue()
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_HandleEvent() invoke: Connection closed
*** NSPlugin Wrapper *** ERROR: NPP_Destroy() invoke: Connection closed
Comment 3 Julian Sikorski 2008-09-17 04:57:33 EDT
Looks like now I can. Please note that now I am testing with flash 10.0.12.10. I also tried 20080916 trunk firefox build and the problem is still present, but only these two errors are displayed:
*** NSPlugin Viewer  *** ERROR: could not reconstruct XVisual from visualID
*** NSPlugin Viewer  *** ERROR: could not reconstruct XVisual from visualID
Comment 4 Martin Stransky 2008-09-17 05:05:50 EDT
This error message means that the flash-plugin is recently dead. 

The firefox/nspluginwrapper combination support windowless flash plugin, but the windowless flash can crash as well as the windowed one and when this happens (very often) you'll see this message. 

It has nothing to do with the windowless mode, it's just a flash crash.
Comment 5 Julian Sikorski 2008-09-17 05:08:40 EDT
Then why it does crash with nspluginwrapper disabled and works fine without it? Do you want me to carry out some additional tests?
Comment 6 Martin Stransky 2008-09-17 05:14:30 EDT
Flash crashes with nspluginwrapper because the NPAPI emulation provided by nspluginwrapper is not 100% accurate. Unfortunately we can't fix it reliably because there are some limitations given by the RPC interface architecture and closed-source flash code...
Comment 7 Julian Sikorski 2008-09-17 05:30:54 EDT
Well, I guess no WMODE for me then until Adobe releases a 64-bit plugin. CLOSED CANTFIX?
Comment 8 Julian Sikorski 2008-10-16 14:16:34 EDT
This seems to have been fixed with the latest update. Way to go folks!

Note You need to log in before you can comment on or make changes to this bug.